Create a Payout Link Batch
Validate and submit 1 to 500 payout links for asynchronous processing using the authenticated App. The response contains normalized input rows, not created payout links. Retrying an identical batch while its status is submitted re-enqueues the existing batch and returns the same ID, allowing recovery after a queue publication failure.
Validate and submit 1 to 500 payout links for asynchronous processing using the authenticated App. The response contains normalized input rows, not created payout links. Retrying an identical batch while its status is submitted re-enqueues the existing batch and returns the same ID, allowing recovery after a queue publication failure.
Authorization
api_key In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/payout-link-batches" \ -H "Content-Type: application/json" \ -d '{ "links": [ { "email": "payee@example.com", "delivery_method": "email", "amount_cents": 1000, "memo": "Weekly payout", "idempotency_key": "b2c3d4e5-f6a7-48b9-80c1-d2e3f4a5b6c7" } ] }'{ "success": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "validated_rows": [ { "first_name": "string", "last_name": "string", "email": "string", "country_code": "string", "phone_number": "string", "delivery_method": "link", "amount_cents": 1, "memo": "string", "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58", "metadata": {}, "force_collect_compliance_information": true } ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}{ "success": false, "message": "string", "error_code": "string", "errors": [ null ]}Send a Payout
Send a payout to a person when you know their phone number or user id. If the user has a Dots acconut, the funds will delivered according to their saved prefernces. Otherwise, they will be sent a Payout Link to onboard and recieve funds.
Get Payout Link Batch Results
Return the batch's current output CSV for the authenticated App. Use the ID returned by batch creation. Before processing completes, the CSV may still contain only the input rows.